Sticky sessionGet sticky session

List active sessions

List active sticky sessions. Management REST on monitor.geonode.com.

Auth

curl -u "<username>:<password>" \
  "https://monitor.geonode.com/sessions/proxies?page=1&pageSize=50"

Host

Note: GET https://app-api.geonode.com/api/sessions/proxies returns 404. Use monitor.geonode.com/sessions/proxies.

Query parameters

ParameterTypeDefaultDescription
pageinteger1Page number
pageSizeinteger250Page size

Response

HTTP 200:

{
  "sessions": [
    {
      "id": "RESIDENTIAL_PREMIUM-<username>-p10000-docsession01",
      "userId": "<username>",
      "port": "10000",
      "rotatingIntervalInSeconds": 274,
      "durationInSeconds": 3600,
      "userSessionId": "docsession01",
      "country": "us"
    }
  ],
  "count": 1,
  "total": 1,
  "page": 1,
  "pageSize": 50
}
FieldTypeDescription
sessionsarrayActive sessions
sessions[].idstringInternal session id
sessions[].userSessionIdstringYour -session- value
sessions[].portstringSticky port
sessions[].countrystringCountry code (lowercase)
sessions[].durationInSecondsnumberSession duration
sessions[].rotatingIntervalInSecondsnumberRotating interval
count / total / page / pageSizenumberPagination

Was this page helpful?

On this page